#include "DebugOverSoftSerial.h"
#include <SoftwareSerial.h>


SoftwareSerial DebugOverSoftSerial::softSerial(10, 11); // RX, TX

#define NOT_INITIALIZED 0
#define INITIALIZED 1
char DebugOverSoftSerial::state = NOT_INITIALIZED;

// Initialize the constructors
DebugOverSoftSerial::DebugOverSoftSerial()
{
}
 
void DebugOverSoftSerial::init()
{
    if (state != INITIALIZED)
    {
        softSerial.begin(9600);
        state = INITIALIZED ;
    }	 	 
}

//PUBLIC METHODS
void DebugOverSoftSerial::print(String message)
{
	init();
	softSerial.print(message);
}

void DebugOverSoftSerial::println(String message)
{
	init();
	softSerial.println(message);
}